<script lang="ts" setup>
  defineProps<{
    link: string
  }>()
</script>

<template>
  <UiButton :href="link" target="_blank" class="flex flex-row">
    <slot>
      <div class="flex gap-2 justify-between items-center">
        Analyse de la partie dans Lichess
        <img src="~/assets/images/lichess-icon.avif" class="h-5">
      </div>
    </slot>
  </UiButton>
</template>
